Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ServiceInformation::_tao_seq_ServiceOption_var Class Reference

`#include <Services.h>`

Collaboration diagram for CORBA_ServiceInformation::_tao_seq_ServiceOption_var:

[legend]
List of all members.

## Public Methods
| _tao_seq_ServiceOption_var (void)
| _tao_seq_ServiceOption_var (_tao_seq_ServiceOption *)
| _tao_seq_ServiceOption_var (const _tao_seq_ServiceOption_var &)
| ~_tao_seq_ServiceOption_var (void)
_tao_seq_ServiceOption_var & | operator= (_tao_seq_ServiceOption *)
_tao_seq_ServiceOption_var & | operator= (const _tao_seq_ServiceOption_var &)
_tao_seq_ServiceOption * | operator-> (void)
const _tao_seq_ServiceOption * | operator-> (void) const
| operator const _tao_seq_ServiceOption & () const
| operator _tao_seq_ServiceOption & ()
| operator _tao_seq_ServiceOption & () const
CORBA::ServiceOption & | operator[] (CORBA::ULong slot)
const _tao_seq_ServiceOption & | in (void) const
_tao_seq_ServiceOption & | inout (void)
_tao_seq_ServiceOption *& | out (void)
_tao_seq_ServiceOption * | _retn (void)
_tao_seq_ServiceOption * | ptr (void) const
## Private Attributes
_tao_seq_ServiceOption * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption_var::_tao_seq_ServiceOption_var | ( | void |  | ) |

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption_var::_tao_seq_ServiceOption_var | ( | CORBA_ServiceInformation::_tao_seq_ServiceOption * | p | ) |

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption_var::_tao_seq_ServiceOption_var | ( | const _tao_seq_ServiceOption_var & | p | ) |

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption_var::~_tao_seq_ServiceOption_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption * CORBA_ServiceInformation::_tao_seq_ServiceOption_var::_retn | ( | void |  | ) |

ACE_INLINE const CORBA_ServiceInformation::_tao_seq_ServiceOption & CORBA_ServiceInformation::_tao_seq_ServiceOption_var::in | ( | void |  | ) | const

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption & CORBA_ServiceInformation::_tao_seq_ServiceOption_var::inout | ( | void |  | ) |

CORBA_ServiceInformation::_tao_seq_ServiceOption_var::operator _tao_seq_ServiceOption & | ( |  | ) | const

CORBA_ServiceInformation::_tao_seq_ServiceOption_var::operator _tao_seq_ServiceOption & | ( |  | ) |

CORBA_ServiceInformation::_tao_seq_ServiceOption_var::operator const _tao_seq_ServiceOption & | ( |  | ) | const

ACE_INLINE const CORBA_ServiceInformation::_tao_seq_ServiceOption * CORBA_ServiceInformation::_tao_seq_ServiceOption_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption * CORBA_ServiceInformation::_tao_seq_ServiceOption_var::operator-> | ( | void |  | ) |

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption_var & CORBA_ServiceInformation::_tao_seq_ServiceOption_var::operator= | ( | const _tao_seq_ServiceOption_var & | p | ) |

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption_var & CORBA_ServiceInformation::_tao_seq_ServiceOption_var::operator= | ( | CORBA_ServiceInformation::_tao_seq_ServiceOption * | p | ) |

ACE_INLINE CORBA::ServiceOption & CORBA_ServiceInformation::_tao_seq_ServiceOption_var::operator[] | ( | CORBA::ULong | slot | ) |

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption *& CORBA_ServiceInformation::_tao_seq_ServiceOption_var::out | ( | void |  | ) |

ACE_INLINE CORBA_ServiceInformation::_tao_seq_ServiceOption * CORBA_ServiceInformation::_tao_seq_ServiceOption_var::ptr | ( | void |  | ) | const

## Member Data Documentation

_tao_seq_ServiceOption* CORBA_ServiceInformation::_tao_seq_ServiceOption_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Services.h
- Services.i